export function clearCache(): void;
export default state;
declare const state: {
    settings: {
        configModalVisible: boolean;
        alwaysOnTop: boolean;
        startup: boolean;
        locale: string;
        originalState(): void;
        toggleSettingVisible(): void;
        setAlwaysOnTop(alwaysOnTop: any): void;
        setStartup(startup: any): void;
        setLocale(locale: any): void;
        fixOldVersionIntlStr(localStr: any): any;
        init(local: any): Promise<any>;
        save(): void;
        clearCache(): void;
    };
    OverallUserCard: {
        show: boolean;
        isMyFriend: boolean;
        user: {};
        config: {
            top: number;
            left: number;
        };
        cache: {};
        toggle(show?: boolean, user?: {}, config?: {
            top: number;
            left: number;
        }, isMyFriend?: boolean): void;
        setCache(key: any, data: any): void;
        onUserInfoUpdate(user: any): void;
        clearCache(): void;
    };
} & {
    NewSession: {
        sessionList: any[];
        sessionMap: Map<any, any>;
        draftMap: Map<any, any>;
        tempSessionList: any[];
        focusSessionId: string;
        search: string;
        hideSessionChatId: string;
        prevFocusSessionId: string;
        page: number;
        pageCount: number;
        hasMore: boolean;
        lastEmoji: any[];
        scrolling: boolean;
        loadDraftmsg(chatId: any): Promise<void>;
        initLastEmoji(): Promise<void>;
        readonly renderList: any[];
        readonly isReadonlySession: boolean;
        readonly focusSessionInfo: any;
        readonly focusDraftInfo: any;
        readonly sortSessionAsideByRule: any[];
        updateSearch(value: any): void;
        loadConversation(sessions: any): Promise<void>;
        loadAllSession(): Promise<void>;
        checkIsKickedOutOfGroup({ chatId, lastMessage }: {
            chatId: any;
            lastMessage: any;
        }): Promise<true | undefined>;
        selectSession(chatId: any, autoVisible?: boolean, force?: boolean): Promise<void>;
        setConversationVisible(chatId: any): void;
        setLoadPage(page: any): void;
        deleteSession(chatId: any, forceDel?: boolean): Promise<void>;
        getInfoByChatId(sessionId: any): Promise<any>;
        insertTemSession(sessionId: any): Promise<false | undefined>;
        checkHistorySession(chatId: any): Promise<import("../newSdk/model/Chat").Session | null | undefined>;
        filterHideSession(sessionList: any): Promise<any[]>;
        unForceSession(): void;
        forceSession(): void;
        clearCache(): void;
    };
    NewChat: {
        currentMessageList: any[];
        currentMessageMap: Map<any, any>;
        hasMore: boolean;
        messageLoading: boolean;
        alreadyKicked: boolean;
        msgIdsWillDelete: any[];
        isShowSelect: boolean;
        onReceiveMessage(messageList: any): void;
        msgUploadingList: {};
        readonly timeGroupByMessageList: {
            keys: string[];
            groupedArr: import("lodash").Dictionary<any[]>;
        };
        clearMessage(chatId: any): Promise<void>;
        transformNewMessage(messageList: any, forceId?: string, init?: boolean): Promise<void> | undefined;
        loadConversationMessage(focusSessionId?: string): Promise<import("../newSdk/model/Message").Message<string>[]>;
        loadHistoryMessage(offset?: number, count?: number): Promise<void>;
        sliceMessageList(ultimateSize?: number): Promise<boolean>;
        insertTempNode(extra: any, extendsOptions?: {}): void;
        sendMessage(message: any, file: any): Promise<void>;
        updateLoadingProgressByMid(id: any, progress: any): void;
        toggleShowSelect(val: any): void;
        updateMsgIdsWillDelete(mid: any, checked: any): any[];
        resetMsgIdsWillDelete(): void;
        clearCache(): void;
        isGroupAlive(sessionId: any): Promise<void>;
        updateAlreadyKicked(alreadyKicked: any): Promise<void>;
        insertDraftDb(msg: {} | undefined, quote: any): Promise<void>;
    };
    Common: {
        isNewFriend: number;
        videoFile: null;
        shouldUseDarkColors: boolean;
        followSystem: boolean;
        updateApplyFriendMsgState(value: any): void;
        updateUploadFile(file: any): void;
        updateShouldUseDarkColors(val: any): void;
    };
    SessionBoardStore: any;
    IntersectionWatcher: {
        asyncStage: any[];
        threshold: number[];
        prevRatio: number;
        root: null;
        observer: null;
        readList: Map<any, any>;
        reportThrottle: {
            timeout: number;
            timer: null;
        };
        initObserver(root: any): false | undefined;
        resetObserve(): void;
        addObserve(element: any, chatId: any): void;
        handleResponseOb(entries: any, observer: any): void;
        handleReportRead(mid: any, chatId: any): void;
        reportThrottleHandler(): void;
        report(): void;
        reportedCollection(chatId: any, ls: any): void;
        clearCache(): void;
    };
    UserInfoProxy: {
        userInfo: {};
        groupUserInfo: {};
        pendingMap: Map<any, any>;
        userInfoGc: Map<any, any>;
        groupInfoGc: Map<any, any>;
        setUserInfo(key: any, value: any): void;
        setGroupUserInfo(key: any, value: any): void;
        readonly proxyInfo: (uid: any, chatId: any) => any;
        getAllUserInfo(uid: any, chatId: any): Promise<any>;
        getBaseInfo(uid: any): Promise<any>;
        getBaseInfoByIds(uids: any): Promise<any[]>;
        getGroupMemberInfo(gid: any, uid: any): Promise<any>;
        getBulkGroupMember(gid: any, uidList: any): Promise<any[]>;
        getGroupMembers(gid: any, isRefresh: any): Promise<import("../newSdk/model/GroupMembers").GroupMembers[]>;
        setGcTag(isBase: any, key: any): Map<any, any> | undefined;
        clearCache(): void;
    };
    UserProxyEntity: {
        userInfo: {};
        groupMemberInfo: {};
        userInfoTransform(dbUserModal: any): import("lodash").Dictionary<any>;
        userInGroupInfoTransform(dbUserModal: any, dbGroupMemberModal: any): import("lodash").Dictionary<any>;
        readonly getProxyUserBaseInfo: (uid: any) => any;
        readonly getProxyUserInGroupInfo: (gid: any, uid: any) => import("lodash").Dictionary<any>;
        setUserInfo(members: any): void;
        setGroupMemberInfo(groupMembers: any, gid: any): void;
        getUserInfo(uids: any): Promise<void>;
        getGroupMemberKey(gid: any, uid: any): string;
        getUserInfoInGroup(groups: any): Promise<void>;
        _handleGetGroupMemberInfo(gid: any, uids: any): Promise<void>;
        clearCache(): void;
    };
    DownloadCenter: {
        cacheCenter: Map<any, any>;
        setCache: (key: any, value: any) => void;
        setProgress: (key: any, percent: any, callback: any) => void;
        setPending: (key: any, promise: any) => void;
        removeProgressSub: (infos: any, fn: any) => void;
        removeSubscribeCallback: (callbacks: any, fn: any) => boolean;
        getOriginKey: ({ objectId, fileType, bucketId }: {
            objectId: any;
            fileType: any;
            bucketId: any;
        }) => string;
        getCompressKey: (infos: any) => string;
        getCompressImage(infos: any, callback: any): Promise<any>;
        downloadCompress(infos: any, callback: any): Promise<any>;
        downloadOrigin(infos: any, callback: any, checkCompress?: boolean, downloadOrigin?: boolean): Promise<boolean>;
        handleDownloadCompress(infos: any): Promise<any>;
        handleOriginDownload(infos: any, checkCompress: any, downloadOrigin: any): Promise<boolean>;
        updateCompressAfterOriginDownload(buf: any, infos: any): Promise<void>;
        clearCache(): void;
    };
    FormatIntlTemp: {
        formatAbleType: number[];
        getLang(): any;
        getRole(target: any, operator: any): "operator" | "target" | "other";
        getTemplate(lang: any, tplId: any, role: any): Promise<string | false>;
        decorateTemplate(tem: string | undefined, message: any): string;
        transformMessage(message: any): Promise<string | boolean>;
        buildContent(tem: any, message: any, sourceMap: any): JSX.Element;
    };
    Comments: {
        comments: any[];
        commentsCount: number;
        commentReplies: {};
        likes: {};
        topComments: any[];
        topCommentsReplies: {};
        onReplyMoment(commentItem: any): Promise<void>;
        onReplyComment(replyItem: any): Promise<any>;
        onTopCommentChanges(pid: any, reply: any): void;
        onInitComments({ commentLevel, secondLevel }: {
            commentLevel: any;
            secondLevel: any;
        }): void;
        onInitTopComments({ commentLevel, secondLevel }: {
            commentLevel: any;
            secondLevel: any;
        }): void;
        updateCommentsCount(counts: any): void;
        onUpdateComments({ commentLevel, secondLevel }: {
            commentLevel: any;
            secondLevel: any;
        }): void;
        onUpdateLikes(likes: any): void;
        onAddLikes(commentId: any, like: any): void;
        onDelLikes(commentId: any): void;
    };
    MomentLikes: {
        likes: {};
        onUpdateLikes(likes: any): void;
        onDeleteLikes(likes: any): void;
        onAddLikes(momentId: any, like: any): void;
        onDelLikes(momentId: any): void;
    };
    Notification: {
        notifications: any[];
        counts: number;
        initNotifications(data: any): void;
        addNotifications(data: any): void;
        getNewNotification(): void;
        clearAllNotifications(): void;
        setCounts(count: any): void;
    };
    SessionInfoProxy: {
        sessionMap: {};
        readonly sessionInfoProxy: (chatId: any) => any;
        setGroupInfo(group: any): Promise<void>;
        setUserInfo(user: any): void;
        getSessionInfo(chatId: any, onlyTwo: any): Promise<void> | undefined;
        handleGroupSession(chatId: any): Promise<void>;
        handleSingleSession(chatId: any): Promise<void>;
        clearCache(): void;
    };
    HotCommentProxy: {
        fetchList: any[];
        debounceTime: null;
        debounceTimeout: number;
        commentMap: {};
        event: {
            updated: string;
        };
        uploadCommentMap(map?: {}): void;
        readonly getHotComment: (id: any) => any;
        handleFetch(): void;
        getCommentMap(ids: any, refresh?: boolean): Promise<void>;
        clearCache(): void;
    };
    ForwardCountProxy: {
        forwardMap: {};
        uploadForwardMap(map?: {}): void;
        readonly getCount: (id: any) => any;
        getForwardCountMap(ids: any): Promise<void>;
        clearCache(): void;
    };
    CommentCountProxy: {
        commentMap: {};
        uploadCommentMap(map?: {}): void;
        readonly getCount: (id: any) => any;
        getCommentCountMap(ids: any): Promise<void>;
        clearCache(): void;
    };
    MediaDownloadProxy: {
        downloadList: {};
        preDownloadList: {};
        throttleInterval: number;
        throttleTimer: null;
        readonly getProxyInfo: (item: any) => any;
        setDownloadItem: (item: any) => void;
        startDownload(item: any): void;
        downloadSuccess(key: any, path: any): void;
        updateVideoPosterPath(key: any, posterPath: any): void;
        downloadFail(key: any): void;
        getDownloadKey: (item: any) => string;
        addDownloadList(item: any): void;
        onProgress(key: any, percent: any): void;
        handleDownload(): void;
        handleDownloadWithImage(item: any): Promise<void>;
        handleDownloadWithVideo(item: any): Promise<void>;
        handleDownloadOrigin(item: any): Promise<void>;
        tryFixDifferentFields(item?: {}, addon?: {}): {};
        clearCache(): void;
    };
    ForwardMoments: {
        ActionType: {
            forwardMoment: string;
            shareApplet: string;
        };
        visible: boolean;
        forwardInfo: {
            actionType: string;
        };
        displayInfo: {
            sendInfo: {
                name: string;
                text: string;
            };
            media: {};
        };
        shareApplet(info?: {}): void;
        transformAppletInfo(appletInfo: any): {
            aid: any;
            type: any;
            description: any;
            name: any;
            logo: any;
            icon: any;
        };
        closeModal(): void;
        resetState(): void;
    };
};
